> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Postcard Order

> Postcard Orders can be placed directly via the API

Below is just one of many ways the endpoint can be utilized.  There is extensive flexiblity - see the [Send Mailer Usage Page](/api-reference/send-mailer-usage) for details on all options.

```bash theme={null}
  curl -X POST "https://api.thanks.io/api/v2/send/postcard" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{ 
      "front_image_url": "https://s3.amazonaws.com/cdn.thanks.io/user_image_library/gFBaJJJWRp60op3ZOoK7UaO5I7zi33rdKQGgHylR.png",
      "message": "Hey %FIRST_NAME%!,\n\nTHANK YOU for allowing us the opportunity to HELP you with your plan!",
      "handwriting_style": 4,
      "recipients": [
        {
          "name": "Current Resident",
          "address": "123 Main Street",
          "city": "Fake City",
          "province": "NY",
          "postal_code": "55555",
          "country": "US",
          "custom1": "Example Custom 1",
          "custom2": "Example Custom 2",
          "custom3": "Example Custom 3",
          "custom4": "Example Custom 4"
        },
        {
          "name": "Jane Doe",
          "address": "456 Another St",
          "city": "Fake City",
          "province": "NY",
          "postal_code": "55555",
          "country": "US"
        }
      ]
    }'
```
